classification
Title: new selectors module should support devpoll on Solaris
Type: Stage:
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: giampaolo.rodola Nosy List: christian.heimes, felipecruz, giampaolo.rodola, gvanrossum, jcea, meador.inge, neologix, pitrou, python-dev, rosslagerwall, sbt, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2013-09-05 10:58 by giampaolo.rodola, last changed 2014-03-20 20:57 by giampaolo.rodola. This issue is now closed.

Files
File name Uploaded Description Edit
devpoll.patch giampaolo.rodola, 2013-09-05 17:57 review
devpoll2.patch giampaolo.rodola, 2014-03-18 19:27
devpoll3.patch giampaolo.rodola, 2014-03-19 18:12
devpoll3_try_again.diff neologix, 2014-03-20 19:29 review
Messages (19)
msg196989 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2013-09-05 10:58
This is a follow up of issue 16853.
I will try to see whether I can come up with a patch later today.
msg197015 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2013-09-05 17:57
Patch is in attachment.
msg200756 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-10-21 12:03
Just to let you know that I'm not forgetting this issue.
I'd just like to iron-out issue #19172 (keys()-like method for selectors), since it could impact the API, to avoid repeated refactoring.
msg202118 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-11-04 11:04
@Giampaolo: Your patch doesn't apply cleanly anymore. Could you update it?

Issue #19172 has been fixed, selectors now have a get_map() method.
msg213886 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2014-03-17 19:46
We missed 3.4 :-(.

Targeting Python 3.5 now. Giampaolo, could you possibly refresh your patch?. Thanks.
msg213898 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-17 21:17
Sorry for not being able to rewrite the patch in time for 3.4.
I will provide an updated patch (I need to setup an Open Solaris box first though).
The code for poll(), epoll() and /dev/poll will have many similarities, so I think it makes sense to refactor it and use a base class to avoid code duplication, similarly to what I did in my original patch.
msg213900 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-03-17 21:21
I actually prefer some code duplication in this case. Makes the review
easier.
On Mar 17, 2014 2:17 PM, "Giampaolo Rodola'" <report@bugs.python.org> wrote:

>
> Giampaolo Rodola' added the comment:
>
> Sorry for not being able to rewrite the patch in time for 3.4.
> I will provide an updated patch (I need to setup an Open Solaris box first
> though).
> The code for poll(), epoll() and /dev/poll will have many similarities, so
> I think it makes sense to refactor it and use a base class to avoid code
> duplication, similarly to what I did in my original patch.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue18931>
> _______________________________________
>
msg213901 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-17 21:24
OK, I will provide a patch soon.
msg213909 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2014-03-17 22:54
BDFL talked :-).

I can test the patch on a Solaris box, and Python has OpenSolaris buildbots.
msg214008 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-18 19:27
Patch in attachment.
msg214016 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2014-03-18 20:51
Could you regenerate it without --git (it doesn't show under the review
tool)?
msg214023 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-03-18 21:37
Why there is no 'review' link for the new patch?
msg214027 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-03-18 21:40
review links are only generated for patches that apply cleanly (I don't
know to which branch)

On Tue, Mar 18, 2014 at 2:37 PM, Yury Selivanov <report@bugs.python.org>wrote:

>
> Yury Selivanov added the comment:
>
> Why there is no 'review' link for the new patch?
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue18931>
> _______________________________________
>
msg214118 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-19 18:12
Regenerated without --git.
msg214137 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2014-03-19 21:12
Still no review link. Somehow you managed to upload the first patch correctly. Does the new one apply cleanly on the default branch?
msg214207 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-20 11:43
"hg import http://bugs.python.org/file34522/devpoll3.patch" applies cleanly for me. Not sure what else to do.
msg214275 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2014-03-20 20:35
LGTM, but I don't have a Solaris box to test. I suppose one of you has tested this? Then okay to commit to the default (== 3.5) branch.
msg214280 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-20 20:54
New changeset 0a51a516bc70 by Giampaolo Rodola' in branch 'default':
Fix issue 18931: selectors module now supports /dev/poll on Solaris.
http://hg.python.org/cpython/rev/0a51a516bc70
msg214282 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2014-03-20 20:57
I successfully tested this on Solaris 11.
History
Date User Action Args
2014-03-20 20:57:23giampaolo.rodolasetmessages: + msg214282
2014-03-20 20:55:40giampaolo.rodolasetstatus: open -> closed
assignee: giampaolo.rodola
resolution: fixed
components: + Library (Lib)
2014-03-20 20:54:40python-devsetmessages: + msg214280
2014-03-20 20:35:30gvanrossumsetmessages: + msg214275
2014-03-20 19:29:10neologixsetfiles: + devpoll3_try_again.diff
2014-03-20 11:43:36giampaolo.rodolasetmessages: + msg214207
2014-03-19 21:12:03yselivanovsetmessages: + msg214137
2014-03-19 18:12:36giampaolo.rodolasetfiles: + devpoll3.patch

messages: + msg214118
2014-03-18 21:40:10gvanrossumsetmessages: + msg214027
2014-03-18 21:37:05yselivanovsetmessages: + msg214023
2014-03-18 20:51:09neologixsetmessages: + msg214016
2014-03-18 19:27:01giampaolo.rodolasetfiles: + devpoll2.patch

messages: + msg214008
2014-03-17 22:54:43jceasetmessages: + msg213909
2014-03-17 21:24:53giampaolo.rodolasetmessages: + msg213901
2014-03-17 21:21:51gvanrossumsetmessages: + msg213900
2014-03-17 21:17:39giampaolo.rodolasetmessages: + msg213898
2014-03-17 19:46:12jceasetmessages: + msg213886
versions: + Python 3.5, - Python 3.4
2014-03-15 15:04:25yselivanovsetnosy: + yselivanov
2013-11-04 11:04:55vstinnersetmessages: + msg202118
2013-10-21 12:03:32neologixsetmessages: + msg200756
2013-09-06 00:02:30jceasetnosy: + jcea
2013-09-05 17:57:15giampaolo.rodolasetfiles: + devpoll.patch
keywords: + patch
messages: + msg197015
2013-09-05 10:58:35giampaolo.rodolacreate